Return live row consistency counters for one enabled projection entity definition.
GET
/api/workspace/admin/entity-definitions/{entityDefinitionId}/projection/synchronization
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/admin/entity-definitions/example/projection/synchronization"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/admin/entity-definitions/example/projection/synchronization';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/admin/entity-definitions/example/projection/synchronizationReports missing, stale, and duplicated projection rows against the source entities. The caller must have unconditional View and ReadArchive access to the projection and every enabled source. Use the rebuild operation to reconcile.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entityDefinitionId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Live consistency status for one enabled projection entity.
object
Status
integer format: int32
RebuildRecommended
boolean
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Members
Array<object>
Per-member projection synchronization counters.
object
ProjectionMemberId
string
ReferenceFieldId
string
SourceEntityDefinitionId
string
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Status": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Live consistency status for one enabled projection entity.
object
Status
integer format: int32
RebuildRecommended
boolean
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Members
Array<object>
Per-member projection synchronization counters.
object
ProjectionMemberId
string
ReferenceFieldId
string
SourceEntityDefinitionId
string
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Status": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media typeapplication/json
object
Data
Live consistency status for one enabled projection entity.
object
Status
integer format: int32
RebuildRecommended
boolean
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Members
Array<object>
Per-member projection synchronization counters.
object
ProjectionMemberId
string
ReferenceFieldId
string
SourceEntityDefinitionId
string
SourceRowCount
integer format: int32
ProjectionRowCount
integer format: int32
MissingProjectionRowCount
integer format: int32
StaleProjectionRowCount
integer format: int32
DuplicateProjectionRowCount
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Status": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}